foundation-0.0.30: Alternative prelude with batteries and no dependencies

License | BSD-style
Maintainer | foundation
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Foundation.VFS.URI

Description

Synopsis

- data URI = URI
- data URISchema = URISchema
- data URIAuthority = URIAuthority
- data URIQuery = URIQuery
- data URIFragment = URIFragment
- data URIPath = URIPath

# Documentation

data URI Source #

TODO this is not implemented yet

Constructors

URI |

#### Instances

Instances details

Path URI Source # |

Instance details

Defined in Foundation.VFS.URI

Associated Types

type PathEnt URI |
Instance details Defined in Foundation.VFS.URI type PathEnt URI = URIPath
type PathPrefix URI |
Instance details Defined in Foundation.VFS.URI type PathPrefix URI = (URISchema, URIAuthority)
type PathSuffix URI |
Instance details Defined in Foundation.VFS.URI type PathSuffix URI = (URIQuery, URIFragment)

Methods

(</>) :: URI -> PathEnt URI -> URI Source #

splitPath :: URI -> (PathPrefix URI, [PathEnt URI], PathSuffix URI) Source #

buildPath :: (PathPrefix URI, [PathEnt URI], PathSuffix URI) -> URI Source #

type PathEnt URI Source # |
Instance details Defined in Foundation.VFS.URI type PathEnt URI = URIPath
type PathPrefix URI Source # |
Instance details Defined in Foundation.VFS.URI type PathPrefix URI = (URISchema, URIAuthority)
type PathSuffix URI Source # |
Instance details Defined in Foundation.VFS.URI type PathSuffix URI = (URIQuery, URIFragment)

data URISchema Source #

Constructors

URISchema |

data URIAuthority Source #

Constructors

URIAuthority |

data URIQuery Source #

Constructors

URIQuery |

data URIFragment Source #

Constructors

URIFragment |

data URIPath Source #

Constructors

URIPath |